Apache log4cxx Version @version@

Classes | Typedefs | Functions
log4cxx::net Namespace Reference

## Classes
class | SMTPAppender
| Send an e-mail when a specific logging event occurs, typically on errors or fatal errors. More...
class | SocketAppender
| Sends `LoggingEvent` objects to a remote a log server, usually Apache Chainsaw. More...
class | SocketAppenderSkeleton
| Abstract base class for SocketAppender and XMLSocketAppender. More...
class | SocketHubAppender
| Sends `LoggingEvent` objects to a set of remote log servers, usually a SocketNode. More...
class | SyslogAppender
| Use SyslogAppender to send log messages to a remote syslog daemon. More...
class | TelnetAppender
class | XMLSocketAppender
| Sends `LoggingEvent` objects in XML format to a remote a log server, usually a XMLSocketNode. More...

## Typedefs
typedef log4cxx::helpers::SocketPtr | Connection

## Functions
| LOG4CXX_PTR_DEF (SMTPAppender)
| LOG4CXX_PTR_DEF (SocketAppender)
| LOG4CXX_LIST_DEF (ObjectOutputStreamList, log4cxx::helpers::ObjectOutputStreamPtr)
| LOG4CXX_PTR_DEF (SocketHubAppender)
| LOG4CXX_PTR_DEF (SyslogAppender)
| LOG4CXX_LIST_DEF (ConnectionList, Connection)
| LOG4CXX_PTR_DEF (TelnetAppender)
| LOG4CXX_PTR_DEF (XMLSocketAppender)

## Typedef Documentation

## ◆ Connection

typedef log4cxx::helpers::SocketPtr Connection

## Function Documentation

## ◆ LOG4CXX_LIST_DEF() [1/2]

log4cxx::net::LOG4CXX_LIST_DEF | ( | ConnectionList | ,
|  | Connection |
| ) |  |

## ◆ LOG4CXX_LIST_DEF() [2/2]

log4cxx::net::LOG4CXX_LIST_DEF | ( | ObjectOutputStreamList | ,
|  | log4cxx::helpers::ObjectOutputStreamPtr |
| ) |  |

## ◆ LOG4CXX_PTR_DEF() [1/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | SMTPAppender |  | ) |

## ◆ LOG4CXX_PTR_DEF() [2/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | SocketAppender |  | ) |

## ◆ LOG4CXX_PTR_DEF() [3/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | SocketHubAppender |  | ) |

## ◆ LOG4CXX_PTR_DEF() [4/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | SyslogAppender |  | ) |

## ◆ LOG4CXX_PTR_DEF() [5/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | TelnetAppender |  | ) |

## ◆ LOG4CXX_PTR_DEF() [6/6]

log4cxx::net::LOG4CXX_PTR_DEF | ( | XMLSocketAppender |  | ) |